Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Settings in hplip and cups web interface non-functional
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
roytheman
Tux's lil' helper
Tux's lil' helper


Joined: 08 Nov 2009
Posts: 102

PostPosted: Wed Apr 13, 2016 8:52 pm    Post subject: Settings in hplip and cups web interface non-functional Reply with quote

Hello Gentoo forum,

I have a new HP LaserJet 200 color multi-functional printer and I have hplip version 3.16.3 with the gui hp-toolbox installed in KDE. The problem is I can only change the print settings directly from the image viewer or Gwenview via the printer's properties of that respective image viewing program. I can not change settings from the hp-toolbox nor from the CUP web interface (http://localhost:631/) because they do not take effect or they don't have any effect on the printer's printout. In other words, I can go through the motions of changing a settings but they will not have any effect even though they do "stick". The LCD panel on the printer itself does not offer many print settings so I can't use that either. My question would be Why won't the applied settings in hp-toolbox or the CUPS web interface have any effect? I have tried restarting CUPS and even tried rebooting the desktop computer but the applied settings still have no effect on the printer's printout.

I would like to solve this problem because I sometimes print images from my hand held device (iPhone and iPad) which does not offer many of the settings I want to use so I am stuck with the printer's default settings when printing from these devices.

I am able to print a test page from hplip and from cups web interface but that is about all.

Will somebody help me or lead me in the right direction?

Regards,
Roy




Below is the results of running hp-check:

Code:

hp-check[7052]: info: :
hp-check[7052]: info: :[01mHP Linux Imaging and Printing System (ver. 3.16.3)[0m
hp-check[7052]: info: :[01mDependency/Version Check Utility ver. 15.1[0m
hp-check[7052]: info: :
hp-check[7052]: info: :Copyright (c) 2001-15 HP Development Company, LP
hp-check[7052]: info: :This software comes with ABSOLUTELY NO WARRANTY.
hp-check[7052]: info: :This is free software, and you are welcome to distribute it
hp-check[7052]: info: :under certain conditions. See COPYING file for more details.
hp-check[7052]: info: :
hp-check[7052]: info: :[01mNote: hp-check can be run in three modes:[0m
hp-check[7052]: info: :1. Compile-time check mode (-c or --compile): Use this mode before compiling the     
hp-check[7052]: info: :HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies are
hp-check[7052]: info: :installed to successfully compile HPLIP.                                             
hp-check[7052]: info: :2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied
hp-check[7052]: info: :package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has the proper 
hp-check[7052]: info: :dependencies installed to successfully run.                                         
hp-check[7052]: info: :3. Both compile- and run-time check mode (-b or --both) (Default): This mode will   
hp-check[7052]: info: :check both of the above cases (both compile- and run-time dependencies).             
hp-check[7052]: info: :
hp-check[7052]: info: :Check types:                                                                         
hp-check[7052]: info: :a. EXTERNALDEP - External Dependencies                                               
hp-check[7052]: info: :b. GENERALDEP - General Dependencies (required both at compile and run time)         
hp-check[7052]: info: :c. COMPILEDEP - Compile time Dependencies                                           
hp-check[7052]: info: :d. [All are run-time checks]                                                         
hp-check[7052]: info: :PYEXT SCANCONF QUEUES PERMISSION                                                     
hp-check[7052]: info: :
hp-check[7052]: info: :Status Types:
hp-check[7052]: info: :    OK
hp-check[7052]: info: :    MISSING       - Missing Dependency or Permission or Plug-in
hp-check[7052]: info: :    INCOMPAT      - Incompatible dependency-version or Plugin-version
hp-check[7052]: info: :
warning: [01mgentoo-2.2 version is not supported. Using gentoo-any versions dependencies to verify and install...[0m
hp-check[7052]: info: :
hp-check[7052]: info: :---------------
hp-check[7052]: info: :| SYSTEM INFO |
hp-check[7052]: info: :---------------
hp-check[7052]: info: :
hp-check[7052]: info: : Kernel: 4.1.15-gentoo-r1 #1 SMP Sun Mar 20 15:43:48 EDT 2016 GNU/Linux
 Host: mygentoo
 Proc: 4.1.15-gentoo-r1 #1 SMP Sun Mar 20 15:43:48 EDT 2016 GNU/Linux
 Distribution: gentoo 2.2
hp-check[7052]: info: : Bitness: 32 bit

hp-check[7052]: info: :
hp-check[7052]: info: :-----------------------
hp-check[7052]: info: :| HPLIP CONFIGURATION |
hp-check[7052]: info: :-----------------------
hp-check[7052]: info: :
hp-check[7052]: info: :HPLIP-Version: HPLIP 3.16.3
hp-check[7052]: info: :HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for gentoo distro  2.2 version
hp-check[7052]: info: :
hp-check[7052]: info: :[01mCurrent contents of '/etc/hp/hplip.conf' file:[0m
hp-check[7052]: info: :# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.16.3

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.16.3
html=/usr/share/doc/hplip-3.16.3/html
icon=/usr/share/applications
cupsbackend=/usr/libexec/cups/backend
cupsfilter=/usr/libexec/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=no
dbus-build=yes
cups11-build=no
doc-build=no
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.16.3
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=no

hp-check[7052]: info: :
hp-check[7052]: info: :[01mCurrent contents of '/var/lib/hp/hplip.state' file:[0m
hp-check[7052]: info: :[plugin]
installed = 1
eula = 1
version = 3.16.3


hp-check[7052]: info: :
hp-check[7052]: info: :[01mCurrent contents of '~/.hplip/hplip.conf' file:[0m
hp-check[7052]: info: :[installation]
date_time = 04/13/16 13:23:54
version = 3.16.3

[last_used]
device_uri = "hp:/net/HP_LaserJet_200_colorMFP_M276nw?ip=192.168.1.76"
printer_name = HP_LaserJet_200_colorMFP_M276nw
working_dir = .

[settings]
systray_visible = 0
systray_messages = 0

[commands]
scan =

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

[upgrade]
notify_upgrade = false
last_upgraded_time = 1459774694
pending_upgrade_time = 0


hp-check[7052]: info: : <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>
hp-check[7052]: info: :
hp-check[7052]: info: :--------------------------
hp-check[7052]: info: :|  External Dependencies |
hp-check[7052]: info: :--------------------------
hp-check[7052]: info: :
hp-check[7052]: info: : gs                   GhostScript - PostScript and PDF language interpreter and previewer REQUIRED        7.05            9.15            OK         -
hp-check[7052]: info: : scanimage            scanimage - Shell scanning program                           OPTIONAL        1.0             1.0.24          OK         -
hp-check[7052]: info: :[31;01m error: xsane         xsane - Graphical scanner frontend for SANE                  OPTIONAL        0.9             -               MISSING    'xsane needs to be installed'[0m
hp-check[7052]: info: : cups                 CUPS - Common Unix Printing System                           REQUIRED        1.1             2.0.3           OK         'CUPS Scheduler is running'
hp-check[7052]: info: : policykit            PolicyKit - Administrative policy framework                  OPTIONAL        -               0.113           OK         -
hp-check[7052]: info: : network              network -wget                                                OPTIONAL        -               1.16.3          OK         -
hp-check[7052]: info: : avahi-utils          avahi-utils                                                  OPTIONAL        -               0.6.31          OK         -
hp-check[7052]: info: : dbus                 DBus - Message bus system                                    REQUIRED        -               1.8.16          OK         -
hp-check[7052]: info: :
hp-check[7052]: info: :-------------------------
hp-check[7052]: info: :|  General Dependencies |
hp-check[7052]: info: :-------------------------
hp-check[7052]: info: :
hp-check[7052]: info: : libcrypto            libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.0.2           OK         -
hp-check[7052]: info: : python-dbus          Python DBus - Python bindings for DBus                       REQUIRED        0.80.0          1.2.0           OK         -
hp-check[7052]: info: : reportlab            Reportlab - PDF library for Python                           OPTIONAL        2.0             3.1.44          OK         -
hp-check[7052]: info: :[31;01m error: python-notify Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL        -               -               MISSING    'python-notify needs to be installed'[0m
hp-check[7052]: info: : pyqt4                PyQt 4- Qt interface for Python (for Qt version 4.x)         REQUIRED        4.0             4.11.1          OK         -
hp-check[7052]: info: : python-xml           Python XML libraries                                         REQUIRED        -               2.1.0           OK         -
hp-check[7052]: info: : libusb               libusb - USB library                                         REQUIRED        -               1.0             OK         -
hp-check[7052]: info: : cups-image           CUPS image - CUPS image development files                    REQUIRED        -               2.0.3           OK         -
hp-check[7052]: info: : libnetsnmp-devel     libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           5.7.3           OK         -
hp-check[7052]: info: : sane-devel           SANE - Scanning library development files                    REQUIRED        -               1.0.24          OK         -
hp-check[7052]: info: : pil                  PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL        -               1.1.7           OK         -
hp-check[7052]: info: : python2X             Python 2.2 or greater - Python programming language          REQUIRED        2.2             3.3.5           OK         -
hp-check[7052]: info: : pyqt4-dbus           PyQt 4 DBus - DBus Support for PyQt4                         REQUIRED        4.0             4.11.1          OK         -
hp-check[7052]: info: : libjpeg              libjpeg - JPEG library                                       REQUIRED        -               -               OK         -
hp-check[7052]: info: : libpthread           libpthread - POSIX threads library                           REQUIRED        -               2.21            OK         -
hp-check[7052]: info: : python-devel         Python devel - Python development files                      REQUIRED        2.2             3.3.5           OK         -
hp-check[7052]: info: : cups-devel           CUPS devel- Common Unix Printing System development files    REQUIRED        -               2.0.3           OK         -
hp-check[7052]: info: : sane                 SANE - Scanning library                                      REQUIRED        -               1.0.24          OK         -
hp-check[7052]: info: :
hp-check[7052]: info: :---------------
hp-check[7052]: info: :|  COMPILEDEP |
hp-check[7052]: info: :---------------
hp-check[7052]: info: :
hp-check[7052]: info: : libtool              libtool - Library building support services                  REQUIRED        -               2.4.6           OK         -
hp-check[7052]: info: : gcc                  gcc - GNU Project C and C++ Compiler                         REQUIRED        -               4.8.4           OK         -
hp-check[7052]: info: : make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             4.1             OK         -
hp-check[7052]: info: :
hp-check[7052]: info: :----------------------
hp-check[7052]: info: :|  Python Extentions |
hp-check[7052]: info: :----------------------
hp-check[7052]: info: :
hp-check[7052]: info: : cupsext              CUPS-Extension                                               REQUIRED        -               3.16.3          OK         -
hp-check[7052]: info: : hpmudext             IO-Extension                                                 REQUIRED        -               3.16.3          OK         -
hp-check[7052]: info: :
hp-check[7052]: info: :-----------------------
hp-check[7052]: info: :|  Scan Configuration |
hp-check[7052]: info: :-----------------------
hp-check[7052]: info: :
hp-check[7052]: info: : scanext              Scan-SANE-Extension                                          REQUIRED        -               3.16.3          OK         -
hp-check[7052]: info: : hpaio                HPLIP-SANE-Backend                                           REQUIRED        -               3.16.3          OK         'hpaio found in /etc/sane.d/dll.conf'
hp-check[7052]: info: :
hp-check[7052]: info: :-----------------------
hp-check[7052]: info: :|  Other Dependencies |
hp-check[7052]: info: :-----------------------
hp-check[7052]: info: :
hp-check[7052]: info: :
hp-check[7052]: info: :------------------------------
hp-check[7052]: info: :| DISCOVERED SCANNER DEVICES |
hp-check[7052]: info: :------------------------------
hp-check[7052]: info: :
hp-check[7052]: info: :device `hpaio:/net/HP_LaserJet_200_colorMFP_M276nw?ip=192.168.1.76' is a Hewlett-Packard HP_LaserJet_200_colorMFP_M276nw all-in-one

hp-check[7052]: info: :
hp-check[7052]: info: :--------------------------
hp-check[7052]: info: :| DISCOVERED USB DEVICES |
hp-check[7052]: info: :--------------------------
hp-check[7052]: info: :
hp-check[7052]: info: :No devices found.
hp-check[7052]: info: :
hp-check[7052]: info: :---------------------------------
hp-check[7052]: info: :| INSTALLED CUPS PRINTER QUEUES |
hp-check[7052]: info: :---------------------------------
hp-check[7052]: info: :
hp-check[7052]: info: :
hp-check[7052]: info: :[01mHP_LaserJet_200_colorMFP_M276nw[0m
hp-check[7052]: info: :[01m-------------------------------[0m
hp-check[7052]: info: :Type: Printer
hp-check[7052]: info: :Device URI: hp:/net/HP_LaserJet_200_colorMFP_M276nw?ip=192.168.1.76
hp-check[7052]: info: :PPD: /etc/cups/ppd/HP_LaserJet_200_colorMFP_M276nw.ppd
hp-check[7052]: info: :PPD Description: HP LaserJet 200 color MFP M276 Postscript (recommended)
hp-check[7052]: info: :Printer status: printer HP_LaserJet_200_colorMFP_M276nw is idle.  enabled since Wed 13 Apr 2016 08:59:14 AM EDT
hp-check[7052]: info: :Required plug-in status: Installed
hp-check[7052]: info: :Communication status: Good
hp-check[7052]: info: :
hp-check[7052]: info: :
hp-check[7052]: info: :--------------
hp-check[7052]: info: :| PERMISSION |
hp-check[7052]: info: :--------------
hp-check[7052]: info: :
hp-check[7052]: info: :
hp-check[7052]: info: :-----------
hp-check[7052]: info: :| SUMMARY |
hp-check[7052]: info: :-----------
hp-check[7052]: info: :
hp-check[7052]: info: :[01mMissing Required Dependencies[0m
hp-check[7052]: info: :[01m-----------------------------[0m
hp-check[7052]: info: :None
hp-check[7052]: info: :
hp-check[7052]: info: :[01mMissing Optional Dependencies[0m
hp-check[7052]: info: :[01m-----------------------------[0m
hp-check[7052]: info: :None

hp-check[7052]: info: :
hp-check[7052]: info: :Total Errors: 2
hp-check[7052]: info: :Total Warnings: 0
hp-check[7052]: info: :
hp-check[7052]: info: :
hp-check[7052]: info: :Done.
Back to top
View user's profile Send private message
roytheman
Tux's lil' helper
Tux's lil' helper


Joined: 08 Nov 2009
Posts: 102

PostPosted: Thu Apr 14, 2016 11:47 am    Post subject: Reply with quote

Hello again Gentoo forum,

Upon further investigation I now believe everything has been working correctly after all. The CUPS web interface will honor its settings if I print from it, such as printing a test page. The same things goes for hplip (hp-toolbox).

I think the reason the settings in question are not honored when printing from a print app on my iPhone is because it uses Apple's AirPrint and that bypasses hplip and the CUPS web interface and operates the printer directly even though the iPhone is connected to my network using wifi.

Correct me if I am wrong.

All the best,
Roy
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum